View Issue Details

This bug affects 1 person(s).
 4
IDProjectCategoryView StatusLast Update
16971Bug reportsEncryptionpublic2021-03-15 15:37
ReporterDenisChenu Assigned Top_teichmann  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version4.4.0-RC2 
Summary16971: Unable to use of TOKEN attribute encrypted during survey (expression manager)
DescriptionWhen use {TOKEN:FIRTSNAME} suring survey : it show crypted data
Steps To ReproduceImport included survey
Activate
Add participant with firstname , lastname and email
TagsNo tags attached.
Bug heat4
Complete LimeSurvey version number (& build)4.4.0-RC3 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Relationships

related to 16330 closedp_teichmann Encrypted fields not decrypted correctly when viewing responses using web UI or when exported to .lsa 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2021-01-13 08:48

developer  

p_teichmann

p_teichmann

2021-03-12 12:16

administrator   ~63327

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31319
lime_release_bot

lime_release_bot

2021-03-15 15:37

administrator   ~63376

Fixed in Release 4.4.13+210315

Related Changesets

LimeSurvey: master 200db35c

2021-02-24 10:23:31

p_teichmann


Committer: ollehar Details Diff
Fixed issue 16971: Unable to use encrypted token attribute in survey Affected Issues
16971
mod - application/helpers/expressions/em_manager_helper.php Diff File

Issue History

Date Modified Username Field Change
2021-01-13 08:48 DenisChenu New Issue
2021-01-13 08:48 DenisChenu File Added: limesurvey_survey_275719.lss
2021-01-13 08:48 DenisChenu File Added: Capture d’écran du 2021-01-13 08-45-35.png
2021-01-13 08:49 DenisChenu Relationship added related to 16330
2021-01-28 19:56 cdorin Priority none => normal
2021-01-28 19:56 cdorin Status new => confirmed
2021-01-28 19:56 cdorin Sync to Zoho Project => |Yes|
2021-02-24 10:03 p_teichmann Assigned To => p_teichmann
2021-02-24 10:03 p_teichmann Status confirmed => assigned
2021-03-12 12:09 ollehar Status assigned => resolved
2021-03-12 12:09 ollehar Resolution open => fixed
2021-03-12 12:16 ollehar Changeset attached => LimeSurvey master 200db35c
2021-03-12 12:16 p_teichmann Note Added: 63327
2021-03-15 15:37 lime_release_bot Sync to Zoho Project Yes => |Yes|
2021-03-15 15:37 lime_release_bot Note Added: 63376
2021-03-15 15:37 lime_release_bot Status resolved => closed